> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# File Updated

> Trigger when a file is updated in dropbox

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "dropbox",
  "type": "TRIGGER_DROPBOX_FILE_UPDATED",
  "parameters": {}
}
```

**Configuration options:**

This trigger does not require any configuration options.

## Example Payload

This is an example payload that Paragon sends to your configured webhook URL. Learn more about handling trigger payloads in [Receiving Webhooks](/actionkit/triggers/receiving-webhooks).

```json Example expandable theme={null}
{
  ".tag": "file",
  "client_modified": "2015-05-12T15:50:38Z",
  "content_hash": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
  "file_lock_info": {
    "created": "2015-05-12T15:50:38Z",
    "is_lockholder": true,
    "lockholder_name": "Imaginary User"
  },
  "has_explicit_shared_members": false,
  "id": "id:a4ayc_80_OEAAAAAAAAAXw",
  "is_downloadable": true,
  "name": "Prime_Numbers.txt",
  "path_display": "/Homework/math/Prime_Numbers.txt",
  "path_lower": "/homework/math/prime_numbers.txt",
  "property_groups": [
    {
      "fields": [
        {
          "name": "Security Policy",
          "value": "Confidential"
        }
      ],
      "template_id": "ptid:1a5n2i6d3OYEAAAAAAAAAYa"
    }
  ],
  "rev": "a1c10ce0dd78",
  "server_modified": "2015-05-12T15:55{}:38Z",
  "sharing_info": {
    "modified_by": "dbid:AAH4f99T0taONIb-OurWxbNQ6ywGRopQngc",
    "parent_shared_folder_id": "84528192421",
    "read_only": true
  },
  "size": 7212
}
```
